Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
How to authenticate with the Saturn API
Authorization
Authorization: Bearer sk_agt_your_api_key_here
curl https://api.saturn-pay.com/v1/wallet \ -H "Authorization: Bearer sk_agt_abc123def456..."
sk_agt_[32 random characters]
sk_
agt_
[32 chars]
curl -X POST https://api.saturn-pay.com/v1/signup \ -H "Content-Type: application/json" \ -d '{"name": "my-agent"}'
const { saturn, apiKey } = await Saturn.signup({ name: 'my-agent' });
{ "apiKey": "sk_agt_abc123...", "agentId": "agt_xyz789", "accountId": "acc_123456" }
curl -X POST https://api.saturn-pay.com/v1/agents \ -H "Authorization: Bearer sk_agt_your_existing_key" \ -H "Content-Type: application/json" \ -d '{"name": "worker-2"}'
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" } }
{ "error": { "code": "AGENT_KILLED", "message": "Agent has been disabled" } }